

from graphics import *

WIDTH = 300
HEIGHT = 300
RADIUS = 10

def main():
    # Create window
    win = GraphWin("Bouncing Ball", WIDTH, HEIGHT)

    # Create a "ball" (i.e. a red circle)
    ball = Circle(Point(10, 10), RADIUS)
    ball.setFill(color_rgb(255, 0, 0))

    # Draw ball to window
    ball.draw(win)

    # Fix for non-Mac
    win.getMouse()

    # Delta variables
    deltaX = 2
    deltaY = 1
    
    # Animate ball
    while (win.checkMouse() == None):

        ball.move(deltaX, deltaY)
        
        if (ball.getCenter().getX() > WIDTH - RADIUS or
            ball.getCenter().getX() < RADIUS):

            deltaX = deltaX * -1
            print("Flip X")
            
        if (ball.getCenter().getY() > HEIGHT - RADIUS or
            ball.getCenter().getY() < RADIUS):

            deltaY = deltaY * -1
            print("Flip Y")
            
if __name__ == "__main__":
    main()
